CategoryBars (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.categoryplot.plotitem

## Class CategoryBars

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryGraphics
    - - com.twosigma.beakerx.chart.categoryplot.plotitem.BasedCategoryGraphics
      - - com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryBars

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class CategoryBars
      extends BasedCategoryGraphics

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategoryBars()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getDrawOutline()`
    `java.util.List<java.lang.Boolean>` | `getDrawOutlines()`
    `java.lang.Boolean` | `getFill()`
    `java.util.List<java.lang.Boolean>` | `getFills()`
    `LabelPositionType` | `getLabelPosition()`
    `Color` | `getOutlineColor()`
    `java.util.List<java.lang.Object>` | `getOutlineColors()`
    `java.lang.Number` | `getWidth()`
    `java.util.List<java.lang.Number>` | `getWidths()`
    `void` | `setDrawOutline(java.lang.Boolean outline)`
    `void` | `setDrawOutline(java.util.List<java.lang.Boolean> outline)`
    `void` | `setFill(java.lang.Boolean fill)`
    `void` | `setFill(java.util.List<java.lang.Boolean> fill)`
    `void` | `setLabelPosition(LabelPositionType labelPosition)`
    `void` | `setOutlineColor(Color color)`
    `void` | `setOutlineColor(java.awt.Color color)`
    `void` | `setOutlineColor(java.util.List<java.lang.Object> colors)`
    `void` | `setWidth(java.util.List<java.lang.Number> width)`
    `void` | `setWidth(java.lang.Number width)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.categoryplot.plotitem.BasedCategoryGraphics

      `getBase, getBases, setBase, setBase`

    - ### Methods inherited from class com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryGraphics

      `createItemLabels, getCenterSeries, getColor, getColors, getItemLabels, getSeriesNames, getShowItemLabel, getUseToolTip, getValue, setCenterSeries, setColor, setColor, setColor, setColori, setItemLabel, setSeriesNames, setShowItemLabel, setUseToolTip, setValue`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategoryBars

          public CategoryBars()

  - ### Method Detail

    - #### setWidth

          public void setWidth(java.lang.Number width)

    - #### setWidth

          public void setWidth(java.util.List<java.lang.Number> width)

    - #### getWidth

          public java.lang.Number getWidth()

    - #### getWidths

          public java.util.List<java.lang.Number> getWidths()

    - #### getOutlineColor

          public Color getOutlineColor()

    - #### getOutlineColors

          public java.util.List<java.lang.Object> getOutlineColors()

    - #### setFill

          public void setFill(java.lang.Boolean fill)

    - #### setFill

          public void setFill(java.util.List<java.lang.Boolean> fill)

    - #### getFill

          public java.lang.Boolean getFill()

    - #### getFills

          public java.util.List<java.lang.Boolean> getFills()

    - #### setOutlineColor

          public void setOutlineColor(Color color)

    - #### setOutlineColor

          public void setOutlineColor(java.awt.Color color)

    - #### setOutlineColor

          public void setOutlineColor(java.util.List<java.lang.Object> colors)

    - #### setDrawOutline

          public void setDrawOutline(java.lang.Boolean outline)

    - #### setDrawOutline

          public void setDrawOutline(java.util.List<java.lang.Boolean> outline)

    - #### getDrawOutlines

          public java.util.List<java.lang.Boolean> getDrawOutlines()

    - #### getDrawOutline

          public java.lang.Boolean getDrawOutline()

    - #### getLabelPosition

          public LabelPositionType getLabelPosition()

    - #### setLabelPosition

          public void setLabelPosition(LabelPositionType labelPosition)